Hey guys, i hope someone can help me please. I cannot put firmware 3.0 on my ipod touch 1G. I am currently on 2.21 (5H11a)
I am using the file iPod1,1_3.0_7A341_Restore.ipsw
The file is complete, i downloaded it from 4 different places, and still no joy.
I have tried various versions of itunes and on different pc's also. I am holding down shift when i click on the update or restore button in itunes, only to get the error, Firmware not compatible.

Someone else must have come across this problem, help please.

Thanks in advance.